unit ListFile;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, uList,
  StdCtrls, ExtCtrls, Forms, ComCtrls;

type
  TFileForm = class(TForm)
    ButtonOk: TButton;
    ButtonCancel: TButton;
    ButtonHelp: TButton;
    ListBoxFile: TListBox;
  end;

function SelectListFile(ListFileFind: TList) : TList;

implementation

{$R *.DFM}

uses SaveOpt, uDiskUtils, XDelUtils;

function SRecOfName(List: TList;S: string): PSRecPlus;
var Tab      : PSRecPlus;
    I        : integer;
    FileName : TFileName;
begin
  result := nil;
  for I := 0 to List.Count - 1 do
  begin
    Tab      := List.Items[I];
    FileName := Tab.Name;
    if UpperCase(Filename) = UpperCase(S) then
    begin
      result := Tab;
      Break;
    end;
  end;
end;

function SelectListFile(ListFileFind: TList) : TList;
var Tab      : PSRecPlus;
    I        : integer;
    FileName : TFileName;
begin
  if (Options.DeleteConfirm) and (ListFileFind.Count > 0) then
  begin
    with TFileForm.Create(Application) do
    try
      Left := ((Application.MainForm.Width - Width) DIV 2) + Application.MainForm.Left;
      Top := ((Application.MainForm.Height - Height) DIV 2) + Application.MainForm.Top;
      if Left < 0 then Left := 0;
      if Left + Width > Screen.Width then left := Screen.Width - Width;
      if Top < 0 then Top := 0;
      if Top + Height > Screen.Height then Top := Screen.Height - Height;

      for I := 0 to ListFileFind.Count - 1 do
      begin
        Tab := ListFileFind.Items[I];
        FileName := Tab.Name;
        ListBoxFile.Items.Add(FileName);
      end;
      for I := 0 to ListBoxFile.Items.Count - 1
        do ListBoxFile.Selected[I] := true;

      result := TMemList.Create;
      if ShowModal = mrOk
        then for I := 0 to ListBoxFile.Items.Count - 1
               do if ListBoxFile.Selected[I]
                  then result.Add(SRecOfName(ListFileFind, ListBoxFile.Items[I]));
    finally
      Free;
    end;
  end else
  begin
    result := ListFileFind;
  end;
end;

end.
