unit Splash;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TSplashScr = class(TForm)
  private
    { Dclarations prives }
    FBitmap : TBitmap;
  protected
    procedure CreateParams(var Params: TCreateParams); override;
    procedure Paint; override;
  public
    { Dclarations publiques }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

procedure OpenSplashScrDlg;

procedure CloseSplashScrDlg;

implementation

uses XDelUtils, SaveOpt, uLogiciel;

var
  SplashScr : TSplashScr;
  TimeStart : Integer;

procedure OpenSplashScrDlg;
begin
  if not Assigned (SplashScr) then
  begin
    Screen.Cursor := crAppStart;
    LoadParametre;
    if SplashScreen then
    begin
      SplashScr     := TSplashScr.Create (Application);
      SplashScr.Show;
      SplashScr.Update;
    end;
    TimeStart := GetTickCount;
    InitOptions;
  end;
end;

procedure CloseSplashScrDlg;
begin
  if Assigned (SplashScr) then
  begin
    if SplashScreen then
    begin
      While (Integer (GetTickCount) - TimeStart) <= 900 do
      Application.ProcessMessages;
      SplashScr.Hide;
      SplashScr.Free;
    end;
    Screen.Cursor := crDefault;
  end;
end;

procedure TSplashScr.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  Params.WndParent := Application.Handle;
end;

constructor TSplashScr.Create(AOwner: TComponent);
begin
  inherited CreateNew(AOwner);
  FBitmap := TBitmap.Create;
  FBitmap.LoadFromResourceName (HInstance, 'SPLASHSCREEN');
  Height      := FBitmap.Height;
  Width       := FBitmap.Width;
  BorderStyle := bsNone;
  if not Debug then
  FormStyle   := fsStayOnTop;
  WindowState := wsNormal;
  Position    := poScreenCenter;
  Text        := '';
end;

destructor TSplashScr.Destroy;
begin
  FBitmap.Free;
  OnDestroy   := nil;
  inherited Destroy;
end;

procedure TSplashScr.Paint;
begin
  inherited Paint;
  Canvas.CopyRect (Rect (0, 0, Width, Height), FBitmap.Canvas, Rect (0, 0, Width, Height));
end;

end.
