unit XDelLog;

interface

uses classes;

procedure UpdateLog (List : TStrings);

implementation

uses Main, SysUtils, SaveOpt, uDiskUtils;

function LogDate (const Size : Integer; Ch : Char) : string;
var Left, I        : integer;
    DateText, Text : string;
begin
  DateText := ' ' + DateTimeToStr (Now) + ' ';
  Left     := (Size - Length (DateText)) DIV 2;
  Text := '';
  for I := 1 to Left do
  begin
    Text := Text + Ch;
  end;
  Result := Text + DateText + Text;
end;

procedure UpdateLog (List : TStrings);
var FileName : string;
    LogFile  : tStrings;
begin
  FileName := NormalDir (Options.PathOfLog) + cDefaultLogName;
  LogFile  := TStringList.Create;
  try
    if FileExists (FileName)
      then LogFile.LoadFromFile (FileName);
    LogFile.Add (LogDate (100, '-'));
    LogFile.AddStrings (List);
    LogFile.Add ('');
    LogFile.SaveToFile (FileName);
  finally
    LogFile.Free;
  end;
end;

end.
