unit XDelUtils;

interface

uses SysUtils, Classes, uLogiciel;

procedure LoadParametre;
procedure UpdateLog (List : TStrings);

resourcestring
  WrongCommand = '%s n''est pas une commande correcte.';

type
  tXDelStatus = (xdsStop, xdsExec);
  tXDelSearch = (xdsEmptyTrash, xdsEmptyTemp,  xdsPreparePerso,
                 xdsSearchFile, xdsDeleteFile, xdsFreePerso);
  TSRecPlus = record
                Name     : string;
                Path     : string;
                FileName : TSearchRec;
              end;
  PSRecPlus = ^TSRecPlus;
var
  cDefaultLogName : string;

const
  SplashScreen    : boolean     = true;
  StartOnShow     : boolean     = false;
  StopOnFinish    : boolean     = false;

implementation

uses Forms, Main, SaveOpt, uDiskUtils, Dialogs;

procedure UpdateLog (List : TStrings);

  function LogDate (const Size : Integer; Ch : Char) : string;
  var Left, I        : integer;
      DateText, Text : string;
  begin
    DateText := ' ' + DateTimeToStr (Now) + ' ';
    Left     := (Size - Length (DateText)) DIV 2;
    Text := '';
    for I := 1 to Left do
    begin
      Text := Text + Ch;
    end;
    Result := Text + DateText + Text;
  end;
  
var FileName : string;
    LogFile  : tStrings;
begin
  FileName := NormalDir (Options.PathOfLog) + cDefaultLogName;
  if not Options.WrEndFile
    then SysUtils.DeleteFile(FileName);
  LogFile  := TStringList.Create;
  try
    if FileExists (FileName)
      then LogFile.LoadFromFile (FileName);
    LogFile.Add (LogDate (124, '-'));
    LogFile.AddStrings (List);
    LogFile.Add ('');
    LogFile.SaveToFile (FileName);
  finally
    LogFile.Free;
  end;
end;

procedure LoadParametre;

  procedure ParamMessage (Mess : string);
  var Parametre : string;
  begin
    Parametre := Copy (UpperCase (Mess), 2, length (Mess) - 1);
    IF (Parametre = 'DEBUG')
      THEN Debug := not Debug                                      ELSE
    IF (Parametre = 'NOSPLASH') or (Parametre = 'S')
      THEN SplashScreen := not SplashScreen                        ELSE
    IF (Parametre = 'STARTOSH') or (Parametre = 'G')
      THEN StartOnShow := not StartOnShow                          ELSE
    IF (Parametre = 'STOPONFH') or (Parametre = 'F')
      THEN StopOnFinish := not StopOnFinish
      ELSE MessageDlg (Format (WrongCommand, [Parametre]), MtInformation,
                       [mbOk], 0);
  end;

var i : integer;
begin
  IF ParamCount <> 0
    THEN FOR I := 1 TO ParamCount
      DO IF (ParamStr (I) [1] = '/') OR (ParamStr (I) [1] = '-')
           THEN ParamMessage (ParamStr (I));
end;

initialization
  cDefaultLogName      := ExtractFileName (ChangeFileExt (Application.ExeName, '.LOG'));
  Application.HelpFile := ExtractFileName (ChangeFileExt (Application.ExeName, '.HLP'));

end.
